package com.philisense.www.license;

import java.security.*;

public class LicenseNotaryException extends GeneralSecurityException
{
    private static final long serialVersionUID = 1L;
    private String alias;
    
    public LicenseNotaryException(final String s, final String alias) {
        super(s);
        this.alias = alias;
    }
    
    @Override
    public String getLocalizedMessage() {
        return Resources.getString(super.getMessage(), this.alias);
    }
}
